[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# sin

Calculate sine of angle

## Declaration

Source position: mathh.inc line 75

`function sin(`
`d: ValReal`
`):ValReal;`

## Description

Sin returns the sine of its argument X, where X is an angle in radians. If the absolute value of the argument is larger than 2^63, then the result is undefined.

## Errors

None.

## See also

Cos |  | Calculate cosine of angle
Pi |  | Return the value of PI.
Exp |  | Exponentiate
Ln |  | Calculate logarithm

## Example

    Program Example62;

    { Program to demonstrate the Sin function. }

    begin
      Writeln (Sin(Pi):0:1);   { Prints 0.0 }
      Writeln (Sin(Pi/2):0:1); { Prints 1.0 }
    end.

Documentation generated on: Feb 26 2014